.product-style1 {
    background-color: #FFFFFF;
    box-shadow: 0px 2px 10px 0px rgba(0, 0, 0, 0.2509803922);
    overflow: hidden;
    min-height: 100%;
    border-radius: 6px;
    margin-bottom: 30px;
}

.product-style1:hover .product-img .clipped::after {
    visibility: visible;
    opacity: 1;
}

.product-style1:hover .actions-style1 {
    visibility: visible;
    opacity: 1;
}

.svg-shep1 {
    position: absolute;
    top: -100%;
    left: -100%;
    opacity: 0;
    z-index: -1;
}

.product-img {
    position: relative;
    transition: all 0.5s ease;
    overflow: hidden;
}

.product-img .shape-style1 {
    position: absolute;
    width: 0;
    height: 0;
}

.product-img .clipped {
    width: 100%;
    height: 250px;
    background-size: auto;
    -webkit-clip-path: url(#product-clip-path);
    clip-path: url(#product-clip-path);
    position: relative;
    background-repeat: no-repeat;
    background-position: center center;
    transition: all 0.5s ease;
    background-color: var(--smoke-color);
}

.product-img .clipped img {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: scale(1) translate(-50%, -50%);
    transition: all 0.5s ease;
}

.product-img .clipped::after {
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(1, 15, 48, 0.6);
    z-index: 0;
    visibility: hidden;
    opacity: 0;
    transition: all 0.5s ease;
}

.actions-style1 {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    z-index: 1;
    visibility: hidden;
    opacity: 0;
}

.product-body {
    text-align: center;
    padding: 25px 10px 20px 10px;
}

.product-rating {
    margin-bottom: 8px;
}

.product-rating i {
    color: var(--secondary-color);
}

.product-title {
    font-size: 20px;
    line-height: 30px;
    font-weight: 600;
    text-transform: capitalize;
}

.product-title a {
    color: inherit;
}

.product-title a:hover {
    color: var(--theme-color);
}

.product-price {
    font-size: 16px;
    line-height: 26px;
    font-family: var(--title-font);
}

.spinner {
    width: 40px;
    height: 40px;
    border: 4px solid #ddd;
    border-top: 4px solid #000;
    border-radius: 50%;
    animation: spin 0.8s linear infinite;
    margin: 20px auto;
}

.gy-30 {
  --bs-gutter-y: 30px;
}